[3.3] Wie installiert man Entwicklerversionen von phpbb?

Fragen rund um die Installation, Administration und Benutzung von phpBB 3.2 und höher und die Konvertierung zu phpBB 3.3.
Forumsregeln
Bitte im Thementitel den Präfix deiner phpBB-Version [3.3] oder [3.2] angeben
Benutzeravatar
BNa
Valued Contributor
Beiträge: 2750
Registriert: 12.04.2010 23:51
Kontaktdaten:

Re: [3.3] Wie installiert man Entwicklerversionen von phpbb?

Beitrag von BNa »

HaioPaio hat geschrieben:
14.02.2021 20:13
Ich habe den Inhalt des phpbb Verzeichnisses in das lokale Verzeichnis über htdocs geladen und /install ausgeführt. Es kommt ein http 500 Fehler.
Du meinst in das lokale Verzeichnis unter htdocs .
Wegen des 500ers: Einfach mal testweise die .htaccess im Hauptverzeichnis von phpbb entfernen oder leeren...
Benutzeravatar
Crizzo
Administrator
Administrator
Beiträge: 11218
Registriert: 19.05.2005 21:45
Kontaktdaten:

Re: [3.3] Wie installiert man Entwicklerversionen von phpbb?

Beitrag von Crizzo »

Auch wenn du die zip-Version via Browser runterlädst, müssen afaik die composer-Abhängigkeiten trotzdem installiert werden.
Benutzeravatar
BNa
Valued Contributor
Beiträge: 2750
Registriert: 12.04.2010 23:51
Kontaktdaten:

Re: [3.3] Wie installiert man Entwicklerversionen von phpbb?

Beitrag von BNa »

Hatte ich nie gemacht. Wie geht denn das ohne github, also primitiv manuell?
Benutzeravatar
HaioPaio
Mitglied
Beiträge: 128
Registriert: 05.11.2017 21:42

Re: [3.3] Wie installiert man Entwicklerversionen von phpbb?

Beitrag von HaioPaio »

Ja, unter htdocs.
Auch ohne .htaccess kommt der 500er Fehler.
Wenn ich die Dateien vergleiche, sehe ich Unterschiede.
In der dev Version fehlt der Ordner vendor. Dafür gibt es einen Ordner develop den es im Release 3.3.3 nicht gibt. Es fehlt auch die leere config.php
Wie gesagt, wenn ich die Dateien des Release 3.3.3 reinkopiere kann ich den /install starten, wenn ich die Daten des phpbb Ordners aus GitHub nehme klappt es nicht.

Automatisch dem Beitrag hinzugefügt nach 12 Minuten 52 Sekunden. Bitte Regel für „Topic-Bumping“ beachten. Danke.

Crizzo

Ich bin nun an der Stelle
und installierst per Composer die Abhängigkeiten: (setzt voraus, dass die PHP-Installation als Umgebungsvariable eingerichtet worden ist)
Ich gebe im Terminal ein php ../composer.phar install
und erhalte
Could not open input file: ../composer.phar

Was bedeutet
(setzt voraus, dass die PHP-Installation als Umgebungsvariable eingerichtet worden ist)
Wie mache ich das?
Benutzeravatar
Crizzo
Administrator
Administrator
Beiträge: 11218
Registriert: 19.05.2005 21:45
Kontaktdaten:

Re: [3.3] Wie installiert man Entwicklerversionen von phpbb?

Beitrag von Crizzo »

So:
IMG_20210214_234321.png
Wie die Zeile H:/xampp/php
BNa hat geschrieben:
14.02.2021 21:20
Hatte ich nie gemacht. Wie geht denn das ohne github, also primitiv manuell?
Brauchst du nur composer (ist im Paket) und PHP.

Dann wie geschrieben php ../composer.phar install, je nach Konfiguration auch ohne "php" am Anfang, per Kommandozeile ausführen.
Benutzeravatar
HaioPaio
Mitglied
Beiträge: 128
Registriert: 05.11.2017 21:42

Re: [3.3] Wie installiert man Entwicklerversionen von phpbb?

Beitrag von HaioPaio »

Crizzo

Erstaunlich was eine Mütze voll Schlaf alles vollbringen kann.
php ../composer.phar install läuft prima, wenn man es aus dem phpBB Verzeichnis heraus aufruft.
Dann entsteht auch das vendorVerzeichnis und das develop Verzeichnis verschwindet.

git checkout 3.3.x hatte dann noch gehakt weil GIT nicht vollständig auf dem Mac verfügbar war. Ich musste noch das Xcode Command Line Tool installieren. Dann lief auch das.

/install ließ sich dann problemlos starten.
Ich habe dann aber abgebrochen weil ich eigentlich phpBB4dev installieren möchte.

Vielen Dank dass du mir geholfen hast. Ich wollte schon immer besser verstehen wie man mit GitHub Desktop arbeitet. Da hab ich nun einen Einstieg gefunden und werde weiter üben.

Ich hab aber auch verstanden wie man ohne GitHub Desktop direkt mit dem dev Download php ../composer.phar install starten kann. Ist kein Hexenwerk.
Benutzeravatar
Dr.Death
Moderator
Moderator
Beiträge: 16618
Registriert: 23.04.2003 08:22
Wohnort: Xanten
Kontaktdaten:

Re: [3.3] Wie installiert man Entwicklerversionen von phpbb?

Beitrag von Dr.Death »

Für den Mac bevorzuge ich "SmartGit".

Das ist für Privat Anwender auch kostenlos.
Non-Commercial Licenses
SmartGit can be used free of charge by Open Source developers, teachers and their students, or for hobby, non-paid usage.
Benutzeravatar
HaioPaio
Mitglied
Beiträge: 128
Registriert: 05.11.2017 21:42

Re: [3.3] Wie installiert man Entwicklerversionen von phpbb?

Beitrag von HaioPaio »

Doc
Danke für den Hinweis. Die Zeiten sind ja leider vorbei dass die beigefügte Apple Software besser als der Standard war.
Ich schau mir das mal an.
Benutzeravatar
HaioPaio
Mitglied
Beiträge: 128
Registriert: 05.11.2017 21:42

Re: [3.3] Wie installiert man Entwicklerversionen von phpbb?

Beitrag von HaioPaio »

Es hat nun alles geklappt.
Ich habe lokal php4.0.0 a1 dev installiert und es läuft.

Es gilt einfach der alte Spruch aus meinen Arbeitszeugnissen:
Mit hinreichender Anleitung können auch weniger begabte Leute gute Ergebnisse erzielen
Ich habe auch SmartGit installiert und komme gut damit zurecht. Viele Fachbegriffe sind halt noch böhmische Dörfer. Aber die Hilfe und Frau Gugel helfen meist.

Nochmal Danke an alle Beteiligten.
Benutzeravatar
Crizzo
Administrator
Administrator
Beiträge: 11218
Registriert: 19.05.2005 21:45
Kontaktdaten:

Re: [3.3] Wie installiert man Entwicklerversionen von phpbb?

Beitrag von Crizzo »

HaioPaio hat geschrieben:
15.02.2021 09:43
Erstaunlich was eine Mütze voll Schlaf alles vollbringen kann.
php ../composer.phar install läuft prima, wenn man es aus dem phpBB Verzeichnis heraus aufruft.
Dann entsteht auch das vendorVerzeichnis und das develop Verzeichnis verschwindet.
Das hatte ich ja nicht ohne Grund geschrieben :geek: :D
Antworten

Zurück zu „Support-Forum“